|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.openrdf.http.protocol.Protocol
public abstract class Protocol
| Field Summary | |
|---|---|
static String |
ACCEPT_PARAM_NAME
Parameter name for the Accept parameter (may also be used as the name of the Accept HTTP header). |
static String |
AMOUNT
|
static String |
BASEURI_PARAM_NAME
Parameter name for the base-URI parameter. |
static String |
BEGIN
|
static String |
BINDING_PREFIX
Parameter prefix for query-external variable bindings. |
static String |
BINDINGS_QUERY
Value for X_QUERY_TYPE for tuple query results. |
static String |
BNODE
|
static String |
BNODES
|
static String |
BOOLEAN_QUERY
Value for X_QUERY_TYPE for boolean query results. |
static String |
COMMIT
|
static String |
CONFIG
Relative location of the config resource. |
static String |
CONFIGURATIONS
Relative location of the repository configurations resource. |
static String |
CONN_PATH
|
static String |
CONNECTIONS
|
static String |
CONTEXT_PARAM_NAME
Parameter name for the context parameter. |
static String |
CONTEXTS
Relative location of the context list resource of a repository. |
static String |
DEFAULT_GRAPH_PARAM_NAME
Parameter name for the default graph URI parameter. |
static String |
FORM_MIME_TYPE
MIME type for www forms: application/x-www-form-urlencoded. |
static String |
GRAPH_QUERY
Value for X_QUERY_TYPE for graph query results. |
static String |
IF_NONE_MATCH
|
static String |
INCLUDE_INFERRED_PARAM_NAME
Parameter name for the 'includeInferred' parameter. |
static String |
LIMIT
|
static long |
MAX_TIME_OUT
|
static String |
METADATA
|
static String |
METADATA_NAMESPACE
|
static long |
MIN_TIME_OUT
|
static String |
NAMED_GRAPH_PARAM_NAME
Parameter name for the named graph URI parameter. |
static String |
NAMESPACE
|
static String |
NAMESPACES
Relative location of the namespaces list resource of a repository. |
static String |
NODE_ID
|
static String |
NULL_PARAM_VALUE
Parameter value for the NULL context. |
static String |
OBJECT_PARAM_NAME
Parameter name for the 'object' parameter of statement query. |
static String |
OFFSET
|
static String |
PING
|
static String |
PREDICATE_PARAM_NAME
Parameter name for the 'predicate' parameter of a statement query. |
static String |
PREFIX
|
static String |
PROTOCOL
Relative location of the protocol resource. |
static String |
QUERIES
|
static String |
QUERY_LANGUAGE_PARAM_NAME
Parameter name for the query language parameter. |
static String |
QUERY_PARAM_NAME
Parameter name for the query parameter. |
static String |
REPO_PATH
|
static String |
REPOSITORIES
Relative location of the repository list resource. |
static String |
ROLLBACK
|
static String |
SCHEMAS
Relative location of the template schemas resource. |
static String |
SIZE
Relative location of the 'size' resource of a repository. |
static String |
STATEMENTS
Relative location of the statement list resource of a repository. |
static String |
SUBJECT_PARAM_NAME
Parameter name for the 'subject' parameter of a statement query. |
static String |
TEMPLATES
Relative location of the templates resource. |
static TimeUnit |
TIME_OUT_UNITS
|
static String |
TXN_MIME_TYPE
MIME type for transactions: application/x-rdftransaction. |
static String |
VERSION
Protocol version. |
static String |
X_QUERY_TYPE
Custom header used to convey query types from a server to a client. |
| Constructor Summary | |
|---|---|
Protocol()
|
|
| Method Summary | |
|---|---|
static Resource |
decodeContext(String encodedValue,
ValueFactory valueFactory)
Decode a previously encoded context Resource. |
static Resource[] |
decodeContexts(String[] encodedValues,
ValueFactory valueFactory)
Decode previously encoded contexts. |
static Resource |
decodeResource(String encodedValue,
ValueFactory valueFactory)
Decode a previously encoded Resource. |
static URI |
decodeURI(String encodedValue,
ValueFactory valueFactory)
Decode a previously encoded URI. |
static Value |
decodeValue(String encodedValue,
ValueFactory valueFactory)
Decode a previously encoded value. |
static String |
encodeContext(Resource context)
Encodes a context resource for use in a URL. |
static String[] |
encodeContexts(Resource... contexts)
Encode context resources for use in a URL. |
static String |
encodeValue(Value value)
Encodes a value for use in a URL. |
static String |
getConfigLocation(String serverLocation)
Get the location of the server configuration resource on the specified server. |
static String |
getContextsLocation(String repositoryLocation)
Get the location of the contexts lists resource for a specific repository. |
static String |
getNamespacePrefixLocation(String repositoryLocation,
String prefix)
Get the location of the namespace with the specified prefix for a specific repository on the specified server. |
static String |
getNamespacesLocation(String repositoryLocation)
Get the location of the namespaces lists resource for a specific repository on the specified server. |
static String |
getProtocolLocation(String serverLocation)
Get the location of the protocol resource on the specified server. |
static String |
getRepositoriesLocation(String serverLocation)
Get the location of the repository list resource on the specified server. |
static String |
getRepositoryLocation(String serverLocation,
String repositoryID)
Get the location of a specific repository resource on the specified server. |
static String |
getServerLocation(String repositoryLocation)
Get the location of server containing the specified repository resource. |
static String |
getSizeLocation(String repositoryLocation)
Get the location of the 'size' resource for a specific repository on the specified server. |
static String |
getStatementsLocation(String repositoryLocation)
Get the location of the statements resource for a specific repository. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String VERSION
public static final String SUBJECT_PARAM_NAME
public static final String PREDICATE_PARAM_NAME
public static final String OBJECT_PARAM_NAME
public static final String INCLUDE_INFERRED_PARAM_NAME
public static final String CONTEXT_PARAM_NAME
public static final String NULL_PARAM_VALUE
public static final String BASEURI_PARAM_NAME
public static final String QUERY_PARAM_NAME
public static final String QUERY_LANGUAGE_PARAM_NAME
public static final String DEFAULT_GRAPH_PARAM_NAME
public static final String NAMED_GRAPH_PARAM_NAME
public static final String ACCEPT_PARAM_NAME
public static final String PROTOCOL
public static final String CONFIG
public static final String REPOSITORIES
public static final String STATEMENTS
public static final String CONTEXTS
public static final String NAMESPACES
public static final String BINDING_PREFIX
public static final String SIZE
public static final String CONFIGURATIONS
public static final String TEMPLATES
public static final String SCHEMAS
public static final String X_QUERY_TYPE
public static final String BINDINGS_QUERY
X_QUERY_TYPE for tuple query results.
public static final String GRAPH_QUERY
X_QUERY_TYPE for graph query results.
public static final String BOOLEAN_QUERY
X_QUERY_TYPE for boolean query results.
public static final String IF_NONE_MATCH
public static final String TXN_MIME_TYPE
public static final String FORM_MIME_TYPE
public static final String METADATA
public static final String METADATA_NAMESPACE
public static final String OFFSET
public static final String LIMIT
public static final String REPO_PATH
public static final String CONN_PATH
public static final String CONNECTIONS
public static final String BEGIN
public static final String COMMIT
public static final String ROLLBACK
public static final String QUERIES
public static final String AMOUNT
public static final String PING
public static final String BNODE
public static final String BNODES
public static final long MIN_TIME_OUT
public static final long MAX_TIME_OUT
public static final TimeUnit TIME_OUT_UNITS
public static final String NODE_ID
public static final String PREFIX
public static final String NAMESPACE
| Constructor Detail |
|---|
public Protocol()
| Method Detail |
|---|
public static final String getProtocolLocation(String serverLocation)
serverLocation - the base location of a server implementing this REST protocol.
public static final String getConfigLocation(String serverLocation)
serverLocation - the base location of a server implementing this REST protocol.
public static final String getRepositoriesLocation(String serverLocation)
serverLocation - the base location of a server implementing this REST protocol.
public static final String getRepositoryLocation(String serverLocation,
String repositoryID)
serverLocation - the base location of a server implementing this REST protocol.repositoryID - the ID of the repository
public static final String getServerLocation(String repositoryLocation)
serverLocation - the base location of a server implementing this REST protocol.repositoryID - the ID of the repository
public static final String getStatementsLocation(String repositoryLocation)
repositoryLocation - the location of a repository implementing this REST protocol.
public static final String getContextsLocation(String repositoryLocation)
repositoryLocation - the location of a repository implementing this REST protocol.
public static final String getNamespacesLocation(String repositoryLocation)
repositoryLocation - the base location of a server implementing this REST protocol.
public static final String getNamespacePrefixLocation(String repositoryLocation,
String prefix)
repositoryLocation - the location of a repository implementing this REST protocol.prefix - the namespace prefix
public static final String getSizeLocation(String repositoryLocation)
repositoryLocation - the location of a repository implementing this REST protocol.
public static String encodeValue(Value value)
value - The value to encode, possibly null.
NULL_PARAM_VALUE if the supplied value was null.
public static Value decodeValue(String encodedValue,
ValueFactory valueFactory)
encodedValue - the encoded valuevalueFactory - the factory to use for constructing the Value
encodeValue(Value)
public static Resource decodeResource(String encodedValue,
ValueFactory valueFactory)
encodedValue - the encoded valuevalueFactory - the factory to use for constructing the Resource
encodeValue(Value)
public static URI decodeURI(String encodedValue,
ValueFactory valueFactory)
encodedValue - the encoded valuevalueFactory - the factory to use for constructing the URI
encodeValue(Value)public static String encodeContext(Resource context)
context - The context to encode, possibly null.
NULL_PARAM_VALUE if the supplied value was null.
public static Resource decodeContext(String encodedValue,
ValueFactory valueFactory)
encodedValue - the encoded valuevalueFactory - the factory to use for constructing the Resource
NULL_PARAM_VALUEpublic static String[] encodeContexts(Resource... contexts)
contexts - the contexts to encode, must not be null.
IllegalArgumentException - If the contexts is null.
public static Resource[] decodeContexts(String[] encodedValues,
ValueFactory valueFactory)
encodedValues - the encoded valuesvalueFactory - the factory to use for constructing the Resources
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||